import { wrapGroup } from './utils';
export function oneOrMore(...children) {
  return {
    type: 'oneOrMore',
    children
  };
}
export function optionally(...children) {
  return {
    type: 'optionally',
    children
  };
}
export function one(...children) {
  return {
    type: 'one',
    children
  };
}
export function zeroOrMore(...children) {
  return {
    type: 'zeroOrMore',
    children
  };
}
export const compilers = {
  one: compiledChildren => compiledChildren,
  oneOrMore: compiledChildren => `${wrapGroup(compiledChildren)}+`,
  optionally: compiledChildren => `${wrapGroup(compiledChildren)}?`,
  zeroOrMore: compiledChildren => `${wrapGroup(compiledChildren)}*`
};
//# sourceMappingURL=quantifiers.js.map