import type { One, OneOrMore, Optionally, RegexComponent, ZeroOrMore } from './types';
export declare function oneOrMore(...children: RegexComponent[]): OneOrMore;
export declare function optionally(...children: RegexComponent[]): Optionally;
export declare function one(...children: RegexComponent[]): One;
export declare function zeroOrMore(...children: RegexComponent[]): ZeroOrMore;
export declare const compilers: {
    one: (compiledChildren: string) => string;
    oneOrMore: (compiledChildren: string) => string;
    optionally: (compiledChildren: string) => string;
    zeroOrMore: (compiledChildren: string) => string;
};
//# sourceMappingURL=quantifiers.d.ts.map